routes/web.php
<?php

use App\Specialty;
use App\Disease;

// /*
// |--------------------------------------------------------------------------
// | Web Routes
// |--------------------------------------------------------------------------
// |
// | Here is where you can register web routes for your application. These
// | routes are loaded by the RouteServiceProvider within a group which
// | contains the "web" middleware group. Now create something great!
// |
// */
 Route::get('/', 'HomeController@land')->name('land');
 Route::name('dashboard.')->prefix('dashboard')->group(function () {
     Route::group(['middleware' => 'auth:web'], function () {
            Route::get('/', 'DashoardController@dashboard')->name('index');
            Route::resource('requests', 'SpecialtyController');
            Route::resource('specialties', 'SpecialtyController');
            Route::resource('diseases', 'DiseaseController');
            Route::resource('certificates', 'CertificateController');
            Route::resource('appointments', 'AppointmentController');            
            Route::resource('symptoms', 'SymptomController');
            Route::resource('promotions', 'PromotionController');

    });
 });

Route::get('doctors/register', 'DoctorController@registeration')->name('doc.register');
Route::post('/result/{specialty}', 'SearchController@result')->name('result');

Route::get('/result_doctors', 'SearchController@result_doctors')->name('result_doctors');
Route::get('/result/{specialty}', 'SearchController@getSymptoms')->name('getSymptoms');
Route::get('promotion/create/{doctor}', 'DoctorController@promote')->name('doc.promote');
 Auth::routes(['verify'=>true]);

 Route::get('/home',  'HomeController@search')->name('home');

Route::get('/profile', 'HomeController@profile')->name('profile');

Route::get('/verify', 'HomeController@verify')->name('verify');
Route::get('/verify/send/', 'HomeController@send')->name('verify.send');

Route::post('/profile', 'ProfileController@profileUpdate')->name('user.profile_update');
Route::post('/password', 'ProfileController@passwordUpdate')->name('user.password_update');

Route::get('/search', 'HomeController@search')->name('search');
Route::get('doctors/all', 'DoctorController@index')->name('doc.all');
Route::get('doctors/{user?}', 'DoctorController@show')->name('doc.show');
Route::post('doctor/{doctor}/rate', 'DoctorController@rateDoc')->name('doc.rate');
Route::put('doctor/{person}', 'DoctorController@update')->name('doctor.update');
Route::put('doctor/{person}/diseases', 'DoctorController@editDisease')->name('doc.update');
  Route::post('user/register', 'MainController@user_store')->name('user.register');
     
Route::post('doctors/register', 'DoctorController@store')->name('doc.store');

 Route::name('chat.')->prefix('chats')->group(function () {
    Route::get('/', 'ChatController@index');
     Route::get('/{user}', 'ChatController@show');
    Route::post('/{user}', 'ChatController@send')->name('send');
 });


// Admin routes
Route::name('admin.')->prefix('admin')->namespace('Admin')->group(function () {
    Route::namespace('Auth')->middleware('guest:admin')->group(function () {
        Route::get('/', 'LoginController@showLoginForm')->name('login');
        Route::post('/', 'LoginController@login');
        Route::get('forgot-password', 'ForgotPasswordController@showLinkRequestForm')->name('forgot_password');
        Route::post('forgot-password', 'ForgotPasswordController@sendResetLinkEmail');
        Route::get('password/reset/{token}/{email?}', 'ResetPasswordController@showResetForm')->name('reset_password_link');
        Route::post('password/reset', 'ResetPasswordController@reset')->name('reset_password');
    });
    Route::group(['middleware' => 'auth:admin'], function () {
        // Dashboard
        Route::get('/dashboard', 'AdminController@dashboard')->name('dashboard');

        Route::resource('specialties', 'SpecialtyController');
        Route::resource('admins', 'AdminsController');
        Route::resource('admins', 'AdminsController');
        Route::get('admins/{admin}/activation', 'AdminsController@activation')->name('admins.activation');

        Route::get('blacklist', 'BlacklistController@index')->name('blacklist.all');
        Route::get('blacklist/{user}/add', 'BlacklistController@add')->name('blacklist.add');
        Route::get('blacklist/{user}/remove', 'BlacklistController@remove')->name('blacklist.remove');

        Route::resource('diseases', 'DiseaseController');
        
        Route::resource('symptoms', 'SymptomController');

        Route::resource('people', 'PersonController');

        Route::resource('nationalities', 'NationalityController');

        Route::resource('doctors', 'DoctorController');

        Route::resource('days', 'DayController');

        Route::resource('genders', 'GenderController');

        Route::resource('descriptions', 'DescriptionController');

        Route::get('requests', 'DoctorJoinRequestController@index')->name('requests.index');
        Route::get('requests/{jrequest}/revoke', 'DoctorJoinRequestController@revoke')->name('requests.revoke');
        Route::get('requests/{jrequest}/approve', 'DoctorJoinRequestController@approve')->name('requests.approve');

        Route::resource('clinks', 'ClinkController');

        Route::resource('privlages', 'privlageController');
      
        // Profile
        Route::get('/profile', 'AdminController@profile')->name('profile');
        Route::post('/profile', 'AdminController@profileUpdate');
        Route::post('/password', 'AdminController@passwordUpdate')->name('password_update');

        // Logout
        Route::get('/logout', 'Auth\LoginController@logout')->name('logout');
    });
});

resources/views/admin/dashboard.blade.php
@extends('admin.layouts.app', ['page' => 'dashboard'])

@section('title', 'لوحة التحكم الرئيسية')
@section('styles')
<link href="{{ asset('/css/star-rating.css') }}" rel="stylesheet" type="text/css">
<link href="{{ asset('/themes/krajee-fa/theme.css') }}" rel="stylesheet" type="text/css" media="all">
<style>
  .clear-rating {
    display: none !important;
  }
</style>
@endsection
@section('content')
  
        <div class="row">
            <div class="col-lg-3 col-xs-6">
              <!-- small box -->
              <div class="small-box bg-aqua">
                <div class="inner">
                  <h3>{{ App\DoctorJoinRequest::all()->count() }}</h3>
    
                  <p>طلبات الإشتراك</p>
                </div>
                <div class="icon">
                  <i class="fa fa-pencil"></i>
                </div>
                <a href="{{ route('admin.requests.index') }}" class="small-box-footer">
                  تفاصيل اكتر <i class="fa fa-arrow-circle-right"></i>
                </a>
              </div>
            </div>
            <!-- ./col -->
            <div class="col-lg-3 col-xs-6">
              <!-- small box -->
              <div class="small-box bg-green">
                <div class="inner">
                  <h3>{{ App\User::all()->count() }}</h3>
    
                  <p>عدد المستخدمين</p>
                </div>
                <div class="icon">
                  <i class="fa fa-users"></i>
                </div>
                <a href="{{ route('admin.people.index') }}" class="small-box-footer">
                    تفاصيل اكتر <i class="fa fa-arrow-circle-right"></i>
                </a>
              </div>
            </div>
            <!-- ./col -->
            <div class="col-lg-3 col-xs-6">
              <!-- small box -->
              <div class="small-box bg-yellow">
                <div class="inner">
                    <h3>{{ App\Doctor::all()->count() }}</h3>
    
                  <p>عدد الاطباء</p>
                </div>
                <div class="icon">
                  <i class="fa fa-user-md"></i>
                </div>
                <a href="{{ route('admin.doctors.index') }}" class="small-box-footer">
                    تفاصيل اكتر <i class="fa fa-arrow-circle-right"></i>
                </a>
              </div>
            </div>
            <!-- ./col -->
            <div class="col-lg-3 col-xs-6">
              <!-- small box -->
              <div class="small-box bg-red">
                <div class="inner">
                    <h3>{{ App\Chat::all()->count() }}</h3>
                    
                    <p>مجموع رسائل المستخدمين</p>
                </div>
                <div class="icon">
                  <i class="fa fa-envelope"></i>
                </div>
                <a href="#" class="small-box-footer">
                        تفاصيل اكتر <i class="fa fa-arrow-circle-right"></i>
                </a>
              </div>
            </div>
            <!-- ./col -->
          </div>
  <div class="row">
        <div class="col-md-12">
                <div class="box box-warning">
                  <div class="box-header with-border">
                    <h3 class="box-title">أهم الأخصائيين </h3>
                    <div class="box-tools pull-right">
            
                      <button type="button" class="btn btn-box-tool" data-widget="collapse"><i class="fa fa-minus"></i>
                      </button>
                      <button type="button" class="btn btn-box-tool" data-widget="remove"><i class="fa fa-times"></i>
                      </button>
                    </div>
                  </div>
                  <!-- /.box-header -->
                  <div class="box-body no-padding">
                    <ul class="users-list clearfix">  
                        @foreach (App\Doctor::onlyActive() as $doc)
                        <li>
                          <img src="/avatars/{{ $doc->user->avatar }}" class="profile-user-img img-responsive img-circle" alt="User Image">
                          <a class="users-list-name" href="{{url('doctors/' .$doc->user->id )}}">{{ $doc->user->person->first_name. ' '.$doc->user->person->family_name }} // {{ $doc->ref_no }}</a>
                          <span class="users-list-date">{{ $doc->specialty->namear. ' -- '.$doc->specialty->nameen }}</span>
                       <input id="rate" name="rate" data-size="xs" class="rating kv-fa rating-loading" data-min="0" data-max="5" data-step="1" value="{{ $doc->userAverageRating }}">        
                        </li>
                        @endforeach      
                      
                    </ul>
                    <!-- /.users-list -->
                  </div>
                  <!-- /.box-body -->
           
                  <!-- /.box-footer -->
                </div>
                <!--/.box -->
              </div>
  </div>
@endsection
@section('scripts')
<script src="{{ asset('/js/star-rating.js') }}"></script>
<script src="{{ asset('/themes/krajee-fa/theme.js') }}"></script>
<script>
    $(document).on('ready', function () {
        $('.kv-fa').rating({
            theme: 'krajee-fa',
            filledStar: '<i class="fa fa-star"></i>',
            emptyStar: '<i class="fa fa-star-o"></i>'
        });
        
       
        $("#rate").rating();
    });
    
    $('.rating').on( 'change', function () {
        $("#docsJson" ).submit();
     });
    </script>
    @endsection

resources/views/admin/profile.blade.php
@extends('admin.layouts.app', ['page' => ''])

@section('title', 'الملف الشخصي')

@section('content')
<div class="row">
    <div class="col-md-6">
        <div class="box box-primary">
            <div class="box-header with-border">
                <h3 class="box-title">تعديل  الملف الشخصي</h3>
            </div>

            <form method="post">
                @csrf

                <div class="box-body">
                    <div class="form-group">
                        <label for="name">الإسم</label>
                        <input type="text"
                            name="name"
                            class="form-control"
                            id="name"
                            placeholder="الإسم"
                            value="{{ old('name', $admin->name) }}"
                        >
                    </div>

                    <div class="form-group">
                        <label for="email">البريد الإلكتروني</label>
                        <input type="email"
                            name="email"
                            class="form-control"
                            id="email"
                            placeholder="البريد الإلكتروني"
                            value="{{ old('email', $admin->email) }}"
                        >
                    </div>

                    <div class="form-group">
                        <label for="username">إسم المستخدم</label>
                        <input type="text"
                            name="username"
                            class="form-control"
                            id="username"
                            placeholder="إسم المستخدم"
                            value="{{ old('username', $admin->username) }}"
                        >
                    </div>
                </div>

                <div class="box-footer">
                    <button type="submit" class="btn btn-primary">تعديل  الملف الشخصي</button>
                </div>
            </form>
        </div>
    </div>

    {{-- كلمة المرور update --}}
    <div class="col-md-6">
        <div class="box box-primary">
            <div class="box-header with-border">
                <h3 class="box-title">تغيير كلمة المرور</h3>
            </div>

            <form method="post" action="{{ route('admin.password_update') }}">
                @csrf

                <div class="box-body">
                    <div class="form-group">
                        <label for="current-password">كلمة المرور الحالية</label>
                        <input type="password"
                            name="current_password"
                            class="form-control"
                            id="current-password"
                            placeholder="كلمة المرور الحالية"
                            pattern=".{6,}"
                            title="6 characters minimum"
                        >
                    </div>

                    <div class="form-group">
                        <label for="password">كلمة المرور الجديدة</label>
                        <input type="password"
                            name="password"
                            class="form-control"
                            id="password"
                            placeholder="كلمة المرور الجديدة"
                            pattern=".{6,}"
                            title="6 characters minimum"
                        >
                    </div>

                    <div class="form-group">
                        <label for="confirm-password">تأكيد كلمة المرور</label>
                        <input type="password"
                            name="password_confirmation"
                            class="form-control"
                            id="confirm-password"
                            placeholder="تأكيد كلمة المرور"
                            pattern=".{6,}"
                            title="6 characters minimum"
                        >
                    </div>
                </div>

                <div class="box-footer">
                    <button type="submit" class="btn btn-primary">تغيير كلمة المرور</button>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection